use ap;
SELECT 
    i.invoice_id,
    invoice_total,
    SUM(line_item_amount) AS calculated_total_amount,
    invoice_total - SUM(line_item_amount) AS amount_of_error
FROM
    invoices i
        JOIN
    invoice_line_items li ON i.invoice_id = li.invoice_id
GROUP BY li.invoice_id
HAVING amount_of_error <> 0.00
ORDER BY li.invoice_id
;