use ap;
SELECT 
    vendor_name,
    COUNT(*) AS count_of_invoices,
    SUM(invoice_total) AS total_of_invoices,
    MIN(invoice_total) AS minimum_invoice,
    ROUND(AVG(invoice_total), 2) AS average_of_invoices,
    MAX(invoice_total) AS maximum_invoice
FROM
    invoices
        JOIN
    vendors ON invoices.vendor_id = vendors.vendor_id
GROUP BY vendor_name
ORDER BY vendor_name;